/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package org.firstejbmodule.calculatrice;

import javax.ejb.embeddable.EJBContainer;
import org.junit.After;
import org.junit.AfterClass;
import org.junit.Before;
import org.junit.BeforeClass;
import org.junit.Test;
import static org.junit.Assert.*;

/**
 *
 * @author Hoss
 */
public class CalculatriceBeanTest {
    CalculatriceBeanRemote testInstance;
    public CalculatriceBeanTest() {
    }
   
    
    @Before
    public void setUp() {
        testInstance=new CalculatriceBean();
    }
    
    @After
    public void tearDown() {
        testInstance=null;
    }

    /**
     * Test of Add method, of class CalculatriceBean.
     */
    @Test
    public void testAdd() throws Exception {
        int x = 7;
        int y = 3;
        int expResult = 10;
        int result=testInstance.Add(x, y);
        assertEquals(expResult, result);
    }
    
}
